# $Revision: 1.270 $, $Date: 2009/08/01 15:39:06 $
# TODO:
# - Make freshclam package (script and daemon)
# - restart amavis in triggers if group membership was modified?
#
# Conditional build:
%bcond_without	milter		# build without milter subpackage
#
Summary:	An anti-virus utility for Unix
Summary(pl.UTF-8):	Narzędzie antywirusowe dla Uniksów
Name:		clamav
Version:	0.95.2
Release:	2
Epoch:		0
License:	GPL v2+
Group:		Applications
Source0:	http://dl.sourceforge.net/clamav/%{name}-%{version}.tar.gz
# Source0-md5:	930362397d30e01ba81b5f24c1046d48
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-milter.init
Source4:	%{name}-cron-updatedb
Source5:	%{name}.logrotate
Source8:	%{name}-post-updatedb
Source9:	%{name}-milter.sysconfig
Patch0:		%{name}-pld_config.patch
Patch1:		%{name}-nolibs.patch
URL:		http://www.clamav.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gmp-devel
BuildRequires:	libltdl-devel
%{?with_milter:BuildRequires:	libmilter-devel}
BuildRequires:	libtool
%{?with_milter:BuildRequires:	libwrap-devel}
BuildRequires:	rpmbuild(macros) >= 1.514
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(postun,pre):	/usr/sbin/usermod
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	/usr/sbin/usermod
Requires:	bc
Requires:	rc-scripts >= 0.4.1.23
Provides:	group(clamav)
Provides:	user(clamav)
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Clam AntiVirus is an open source anti-virus toolkit for UNIX, designed
especially for e-mail scanning on mail gateways. It provides a number
of utilities including a flexible and scalable multi-threaded daemon,
a command line scanner and advanced tool for automatic database
updates. The core of the package is an anti-virus engine available in
a form of shared library.

Here is a list of the main features:
- command-line scanner
- fast, multi-threaded daemon with support for on-access scanning
- milter interface for sendmail
- advanced database updater with support for scripted updates and
  digital signatures
- virus scanner C library
- on-access scanning (Linux® and FreeBSD®)
- virus database updated multiple times per day (see home page for
  total number of signatures)
- built-in support for various archive formats, including Zip, RAR,
  Tar, Gzip, Bzip2, OLE2, Cabinet, CHM, BinHex, SIS and others
- built-in support for almost all mail file formats
- built-in support for ELF executables and Portable Executable files
  compressed with UPX, FSG, Petite, NsPack, wwpack32, MEW, Upack and
  obfuscated with SUE, Y0da Cryptor and others
- built-in support for popular document formats including MS Office
  and MacOffice files, HTML, RTF and PDF

%description -l pl.UTF-8
Clam Antivirus jest potężnym skanerem antywirusowym dla systemów
uniksowych. Wspiera on AMaViSa, skompresowane pliki, skanowanie
"on-access" i posiada system bezpiecznej, automatycznej aktualizacji.
Baza wirusów zawiera ponad 90000 sygnatur. Skaner jest wielowątkowy,
napisany w C i zgodny z POSIXem.

%package libs
Summary:	Shared libraries for clamav
Summary(pl.UTF-8):	Biblioteki dzielone clamav
Group:		Libraries

%description libs
Shared libraries for clamav.

%description libs -l pl.UTF-8
Biblioteki dzielone clamav.

%package milter
Summary:	ClamAV filter using milter interface
Summary(pl.UTF-8):	Filtr ClamAV korzystający z interfejsu milter
Group:		Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
%if "%{pld_release}" == "ti"
Requires:	postfix
%else
Requires:	sendmail >= 8.11
%endif
Requires:	tcp_wrappers

%description milter
ClamAV sendmail filter using MILTER interface.

%description milter -l pl.UTF-8
Filtr ClamAV dla sendmaila korzystający z interfejsu MILTER.

%package devel
Summary:	clamav - Development header files and libraries
Summary(pl.UTF-8):	clamav - Pliki nagłówkowe i biblioteki dla programistów
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	bzip2-devel
Requires:	gmp-devel
Requires:	zlib-devel

%description devel
This package contains the development header files and libraries
necessary to develop clamav client applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i biblioteki konieczne do kompilacji aplikacji
klienckich clamav.

%package static
Summary:	clamav static libraries
Summary(pl.UTF-8):	Biblioteki statyczne clamav
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
clamav static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne clamav.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-clamav \
	%{?with_milter:--enable-milter} \
	--with-dbdir=/var/lib/%{name} \
	--with-no-cache \
	--with-ltdl-include=/usr/include \
	--with-ltdl-lib=%{_libdir}

%{__make} \
	LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.d,logrotate.d,rc.d/init.d,sysconfig} \
	$RPM_BUILD_ROOT%{_var}/{log,spool/clamav}

%{__make} install \
	LIBTOOL=/usr/bin/libtool \
	DESTDIR=$RPM_BUILD_ROOT
%{!?with_milter:rm -f $RPM_BUILD_ROOT%{_mandir}/man8/clamav-milter.8*}

cat <<'EOF' >$RPM_BUILD_ROOT/etc/cron.d/%{name}
5 * * * *	root	%{_sbindir}/clamav-cron-updatedb
EOF

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/clamd
%if %{with milter}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/clamav-milter
install %{SOURCE9} $RPM_BUILD_ROOT/etc/sysconfig/clamav-milter
%endif
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/clamd
install %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}/clamav-cron-updatedb
install etc/*.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

install %{SOURCE8} $RPM_BUILD_ROOT%{_sbindir}

# NOTE: clamd uses sane rights to it's clamd.pid file
# So better keep it dir
# If it is fixed use of dir will be unecesary
install -d $RPM_BUILD_ROOT/var/run/%{name}

:> $RPM_BUILD_ROOT/var/log/freshclam.log

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- amavis-ng
%addusertogroup -q clamav amavis

%triggerin -- amavisd-new
%addusertogroup -q clamav amavis

%triggerin -- amavisd
%addusertogroup -q clamav amavis

%pre
%groupadd -g 43 clamav
%useradd -u 43 -d /tmp -s /bin/false -c "Clam Anti Virus Checker" -g clamav clamav

%post
/sbin/chkconfig --add clamd
%service clamd restart "Clam Antivirus daemon"
touch /var/log/freshclam.log
chown clamav:root /var/log/freshclam.log
chmod 640 /var/log/freshclam.log

%preun
if [ "$1" = "0" ]; then
	%service clamd stop
	/sbin/chkconfig --del clamd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove clamav
	%groupremove clamav
fi

%triggerpostun -- %{name} < 0.80
if [ -f /etc/clamav.conf.rpmsave ]; then
	echo "Renaming config to new name /etc/clamd.conf"
	mv -f /etc/clamd.conf /etc/clamd.conf.rpmnew
	mv -f /etc/clamav.conf.rpmsave /etc/clamd.conf
	echo "Changing config location in freshclam config"
	%{__sed} -i -e 's/clamav.conf/clamd.conf/' /etc/freshclam.conf
fi

%triggerpostun -- %{name} < 0.90-0.rc2.0.10
%{__cp} -f /etc/clamd.conf{,.rpmsave}
%{__sed} -i -e '
		s,^LogSyslog$,& yes,
		s,^FixStaleSocket$,& yes,
		s,^AllowSupplementaryGroups$,& yes,
		s,^ClamukoScanOnOpen$,& yes,
		s,^ClamukoScanOnClose$,& yes,
		s,^ClamukoScanOnExec$,& yes,
		s,^LogTime$,& yes,
		s,^ScanPE$,& yes,
' /etc/clamd.conf
%banner -e %{name}-0.90 <<EOF
ClamAV config was automatically upgraded to 0.90 format. You should review it
that it's still valid.
EOF
#'
# unfortunately clamd has no configcheck option so we just have to start it
# once again after config was broken after upgrade
touch /var/lock/subsys/clamd
%service -q clamd restart

%post milter
/sbin/chkconfig --add clamav-milter
%service clamav-milter restart "Clam Antivirus daemon"

%preun milter
if [ "$1" = "0" ]; then
	%service clamav-milter stop
	/sbin/chkconfig --del clamav-milter
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README docs/*.pdf
%attr(755,root,root) %{_bindir}/clamdscan
%attr(755,root,root) %{_bindir}/clamdtop
%attr(755,root,root) %{_bindir}/clamscan
%attr(755,root,root) %{_bindir}/freshclam
%attr(755,root,root) %{_bindir}/sigtool
%attr(755,root,root) %{_bindir}/clamconf
%attr(755,root,root) %{_sbindir}/clamd
%attr(755,root,root) %{_sbindir}/clamav-cron-updatedb
%attr(755,root,root) %{_sbindir}/clamav-post-updatedb
%attr(755,clamav,root) %dir /var/lib/%{name}
%ghost %attr(644,clamav,root) %verify(not md5 mtime size) /var/lib/clamav/*.cvd
%attr(640,clamav,root) %ghost /var/log/freshclam.log
%attr(750,clamav,clamav) %dir /var/run/%{name}

%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/clamd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/freshclam.conf

%attr(754,root,root) /etc/rc.d/init.d/clamd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/clamd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/clamav
%{_mandir}/man[15]/*
%{_mandir}/man8/clamd*

%if %{with milter}
%files milter
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/clamav-milter
%config(noreplace) %verify(not md5 mtime size) /etc/clamav-milter.conf
%attr(754,root,root) /etc/rc.d/init.d/clamav-milter
#%attr(755,root,root) %{_sysconfdir}/cron.daily/clamav-milter
#%attr(755,root,root) %{_sysconfdir}/log.d/scripts/services/clamav-milter
#%{_sysconfdir}/log.d/conf/services/clamav-milter.conf
%attr(755,root,root) %{_sbindir}/clamav-milter
%{_mandir}/man8/clamav-milter.8*
%attr(700,clamav,clamav) /var/spool/clamav
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libclamav.so.6
%attr(755,root,root) %ghost %{_libdir}/libclamunrar.so.6
%attr(755,root,root) %ghost %{_libdir}/libclamunrar_iface.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/clamav-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clamav.spec,v $
Revision 1.270  2009/08/01 15:39:06  hawk
- don't R sendmail for milter in Titanium, R postfix instead

Revision 1.269  2009/06/11 12:26:37  adamg
- unbrake encoding

Revision 1.268  2009/06/11 12:05:47  marcus
- addes missig BR libltdl

Revision 1.267  2009/06/11 11:41:02  paszczus
- updated to 0.95.2

Revision 1.266  2009/05/14 23:28:33  gotar
- R: rc-scripts >= 0.4.1.23 due to --pidfile daemon() option; prevents:
  nice: invalid priority `--pidfile

Revision 1.265  2009/04/24 12:21:12  pawelz
- R: rc-scripts >= 0.4.0.20 (because of --pidfile with full patch)
- rel 2

Revision 1.264  2009/04/15 12:48:54  blues
- bug note: bb#1553

Revision 1.263  2009/04/08 20:24:20  zawadaa
- up to 0.95.1 [fixes bb#1553]

Revision 1.262  2009/03/29 14:52:47  glen
- lib64 safe; rel 2

Revision 1.261  2009/03/29 14:23:49  adamg
- release 1 (works for me)

Revision 1.260  2009/03/27 18:35:51  marcus
- use system libltdl

Revision 1.259  2009/03/26 11:54:37  glen
- todo updates

Revision 1.258  2009/03/26 11:53:49  glen
- unconditional %addusertogroup from %post removed (triggers should handle it)

Revision 1.257  2009/03/26 11:52:58  glen
- addusertogroup with optional group support

Revision 1.256  2009/03/25 20:42:30  adamg
- revert 1.254:
  Upgrading...
   1:clamav-libs            ########################################### [ 50%]
  Adding user clamav to group amavis
  usermod: `clamav' is primary group name.
  usermod: Unknown group `amavis'.
  error: %pre(clamav-0.95-0.1.i686) scriptlet failed, exit status 14
  error:   install: %pre scriptlet failed (2), skipping clamav-0.95-0.1

Revision 1.255  2009/03/24 07:55:07  adamg
- updated to 0.95
- -no_auto_libwrap and -valid_pp_exp patches seem obsolete
- package clamdtop
- release 0.1, testing needed

Revision 1.254  2009/02/16 09:18:33  blues
- simplify triggers - use addusertogroup macro

Revision 1.253  2008/12/08 15:06:43  blues
- security note

Revision 1.252  2008/11/27 07:59:55  paszczus
- updated to 0.94.2 [fixes: overflow bug #1266)

Revision 1.251  2008/11/19 02:20:37  glen
- release 2

Revision 1.250  2008/11/17 21:06:31  blues
- note security update: get_unicode_name() off-by-one buffer overflow

Revision 1.249  2008/11/16 15:38:03  marcus
- use system libtool, generated by configure is wrong (need fix?)

Revision 1.248  2008/11/16 13:41:40  arekm
- curl no longer used; milter patch obsolete

Revision 1.247  2008/11/12 05:53:12  marcus
- start upgrade to 0.94.1, find_milter patch need fixes
  [fixes: off-by-one buffer overflow]

Revision 1.246  2008/09/16 20:38:16  blues
- more CVE notes

Revision 1.245  2008/09/08 08:35:56  blues
- security note

Revision 1.244  2008/09/04 13:58:25  glen
- mention soname change

Revision 1.243  2008/09/04 12:38:29  pluto
- updated to 0.94 [new soname]
- fixes: CVE-2008-1389, CVE-2008-3912, CVE-2008-3913, CVE-2008-3914.

Revision 1.242  2008/07/08 07:04:20  dzeus
- up to 0.93.3

Revision 1.241  2008/06/11 15:48:26  hawk
- release 2

Revision 1.240  2008-06-09 18:23:42  adamg
- updated to 0.93.1

Revision 1.239  2008-04-24 11:35:24  glen
- release 2

Revision 1.238  2008-04-16 17:51:08  megabajt
- added missing CVE references to revision: 1.229, 1.235 and 1.237

Revision 1.237  2008-04-14 17:26:30  lisu
- up to final 0.93
- DEVEL merge
- resolves CVE-2008-0314 CVE-2008-1100 CVE-2008-1833 CVE-2008-1835
  CVE-2008-1836 CVE-2008-1837 CVE-2008-1387

Revision 1.236.2.1  2008-03-30 13:55:26  lisu
- up to 0.93rc1
- GPL v2+ license
- search .m4 files in m4/ dir

Revision 1.236  2008-02-17 23:30:10  glen
- release 2

Revision 1.235  2008-02-17 22:49:10  glen
- update to 0.92.1, package ghost soname symlinks
  CVE-2007-6595 CVE-2007-6596 CVE-2008-0318 CVE-2008-0728

Revision 1.234  2008-02-06 21:17:51  glen
- rel 6

Revision 1.233  2008-02-06 19:43:55  glen
- never use '<=' in trigger comparision; rel 5

Revision 1.232  2007-12-20 17:06:15  megabajt
- added CVE references for revision 1.229

Revision 1.231  2007-12-18 18:03:12  glen
- rel 4

Revision 1.230  2007-12-18 11:07:23  zawadaa
- socket fix, STBR

Revision 1.229  2007-12-17 21:05:34  zawadaa
- up to 0.92 [fixes CVE-2007-6029 CVE-2007-6335 CVE-2007-6336 CVE-2007-6337]
- rel 2 (1 is for AC)

Revision 1.228  2007-09-11 12:30:07  gotar
- oops, it's 3.7-4 not 3.7.4

Revision 1.227  2007/09/11 12:15:57  gotar
- C: logrotate < 3.7.4 due to archiv -> archive transition

Revision 1.226  2007/09/01 17:37:16  qboosh
- added CVE (and second <0.91.2 vulnerability information)

Revision 1.225  2007/08/26 15:55:12  qboosh
- security note for 0.91.2 (no CVE yet)

Revision 1.224  2007/08/22 07:18:44  glen
- updated description from homepage

Revision 1.223  2007/08/22 07:09:21  abram
- up to 0.91.2 [fixes milter vulnerability i.e. CVE-2007-4560; CVE-2007-4510]

Revision 1.222  2007/08/03 16:56:09  qboosh
- and more, for 0.88.x and 0.90 updates

Revision 1.221  2007/08/03 16:47:06  qboosh
- and one more for 0.90.2 update

Revision 1.220  2007/08/03 16:44:55  qboosh
- more CVE references

Revision 1.219  2007/07/17 07:40:17  zawadaa
- up to 0.91.1

Revision 1.218  2007/07/12 13:07:39  abram
- update for 0.91 [fixes CVE-2007-3725]

Revision 1.217  2007/06/29 12:42:17  shadzik
- rel 2
- builds

Revision 1.216  2007/06/29 12:37:31  shadzik
- add patch4

Revision 1.215  2007/06/02 19:52:03  qboosh
- CVE references

Revision 1.214  2007/05/31 22:41:51  undefine
- up to 0.90.3
  [fixes CVE-2007-2029 CVE-2007-2650 CVE-2007-3023 CVE-2007-3024
  CVE-2007-3025 CVE-2007-3122 CVE-2007-3123]

Revision 1.213  2007/04/16 21:12:36  qboosh
- added CVE reference

Revision 1.212  2007/04/13 12:26:16  paszczus
- updated to 0.90.2 [fixes CVE-2007-1745 CVE-2007-1997]

Revision 1.211  2007/03/04 13:57:44  zbyniu
- up to 0.90.1

Revision 1.210  2007/02/14 09:02:01  glen
- update virus signature count

Revision 1.209  2007/02/14 08:58:00  glen
- update to 0.90-stable [fixes CVE-2007-0897 CVE-2007-0898]

Revision 1.208  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.207  2007/02/12 12:57:32  arekm
- up to rc3

Revision 1.206  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.205  2007/01/10 19:00:51  shadzik
- BR libmilter-devel instead of /usr/lib/libmilter.a

Revision 1.204  2007/01/10 03:52:40  shadzik
- change BR from sendmail-devel >= 8.11 to /usr/lib/libmilter.a (postfix-devel provides it too)

Revision 1.203  2007/01/03 18:09:23  shadzik
- fix libmilter detection
- rel 3

Revision 1.202  2007/01/03 17:12:24  shadzik
- _rel 2

Revision 1.201  2007/01/03 16:32:03  shadzik
- _rel 1

Revision 1.200  2006/12/27 11:49:57  glen
- -database as separate spec

Revision 1.199  2006/11/06 09:11:29  glen
- always upgrade config, add banner and always restart clamd after trigger

Revision 1.198  2006/11/06 08:49:33  glen
- config trigger

Revision 1.197  2006/11/05 16:17:48  glen
- updated database

Revision 1.196  2006/11/05 15:25:56  glen
- package /usr/bin/clamconf

Revision 1.195  2006/11/05 15:16:58  glen
- clamav-0.90rc2 tarball [fixes CVE-2006-5874 CVE-2006-6406 CVE-2006-6481?]

Revision 1.194  2006/10/22 12:14:07  gotar
- %config and %veryfy flags for cron.d entry

Revision 1.193  2006/10/17 07:43:24  qboosh
- added CVE notes to previous commit message

Revision 1.192  2006/10/16 07:36:46  glen
- 0.88.5 [fixes CVE-2006-4182 CVE-2006-5295]

Revision 1.191  2006/09/09 01:16:33  glen
- rel 2 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.190  2006/08/08 06:57:44  zawadaa
- Source0 is back

Revision 1.189  2006/08/08 06:34:36  zawadaa
- security update to 0.88.4 [fixes CVE-2006-4018]
- http://www.clamav.net/security/0.88.4.html
- STBR

Revision 1.188  2006/07/01 19:56:51  zawadaa
- up to 0.88.3

Revision 1.187  2006/05/10 11:15:18  qboosh
- more CVE refs (in rev. 1.181 and 1.186)

Revision 1.186  2006/04/30 07:54:39  hawk
- updated daily.cvd md5

Revision 1.185  2006/04/30 07:29:57  paszczus
- updated to 0.88.2 [fix possible buffer overflow, CVE-2006-1989]

Revision 1.184  2006/04/17 08:26:49  blues
- CVE note for last release

Revision 1.183  2006/04/15 12:57:46  glen
- rel 2

Revision 1.182  2006/04/07 07:29:03  arekm
- up daily

Revision 1.181  2006/04/04 16:30:25  aredridel
- up to 0.88.1 [fixes CVE-2006-1614 CVE-2006-1615 CVE-2006-1630]
- RPM thinks version has gone down, thanks to added decimal

Revision 1.180  2006/02/24 15:20:04  glen
- use %service

Revision 1.179  2006/01/16 11:29:59  qboosh
- added CVE note to last commit message

Revision 1.178  2006/01/09 22:12:39  zawadaa
- up to 0.88
- STBR
  [fixes CVE-2006-0162]

Revision 1.177  2005/11/09 11:36:38  qboosh
- and more

Revision 1.176  2005/11/09 11:36:11  qboosh
- no need to bcond post

Revision 1.175  2005/11/06 17:28:35  glen
- add CAN information

Revision 1.174  2005/11/04 08:19:46  jajcus
- Version: 0.87.1
  [resoves CAN-2005-3239, CAN-2005-3303]

Revision 1.173  2005/09/16 16:45:26  zawadaa
- up to 0.87 rel 2 (1 is for Ra)

Revision 1.172  2005/09/14 08:24:54  qboosh
- dropped PreReq (use plain Requires for rc-scripts), unified

Revision 1.171  2005/08/26 11:46:10  qboosh
- triggerpostun dep really differs from postun dep

Revision 1.170  2005/07/28 12:18:51  hawk
- release 3 (2 went to Ra)

Revision 1.169  2005/07/25 08:23:19  zawadaa
- rel up to 2 - 1 is for Ra

Revision 1.168  2005/07/25 04:47:30  arekm
- up to 0.86.2

Revision 1.167  2005/06/23 23:04:46  zawadaa
- up to 0.86.1
- A possible crash in the libmspack's Quantum decompressor has been fixed
- rel 2 - 1 is for Ra
- STBR

Revision 1.166  2005/06/21 13:00:20  glen
- damn typo

Revision 1.165  2005/06/21 12:59:47  glen
- i believe rel 1 is reserved for ra, so rel 2 for ac

Revision 1.164  2005/06/21 08:36:26  prism
- release fixed

Revision 1.163  2005/06/21 08:22:03  zawadaa
- up to 0.86
- STBR

Revision 1.162  2005/06/12 18:29:45  glen
- remove installed database files when built with database bcond off

Revision 1.161  2005/05/17 08:12:40  zawadaa
- security rel - libclamav bug
- STBR for AC

Revision 1.160  2005/05/11 22:28:45  zawadaa
- rel 2 for Ac - rel 1 for Ra

Revision 1.159  2005/05/11 22:17:37  zawadaa
- up to 0.85
- STBR

Revision 1.158  2005/05/04 08:59:53  averne
- bconded database subpackage by Mikolaj Kucharski

Revision 1.157  2005/05/02 18:23:51  glen
- adapterized

Revision 1.156  2005/05/01 18:49:15  glen
- new spec syntax is so cool

Revision 1.155  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.154  2005/05/01 00:57:49  qboosh
- back: puzzle.dl is not browsable

Revision 1.153  2005/04/30 09:03:40  hawk
- quick sourceforge fix to let DF download tarball

Revision 1.152  2005/04/30 08:40:24  hawk
- updated to 0.84
- release 2 (1 for Ra)

Revision 1.151  2005/04/18 17:23:15  glen
- PreReq: rc-scripts

Revision 1.150  2005/03/23 12:05:22  gotar
- kill improper use of _sysconfdir, move messages before commands

Revision 1.149  2005/02/14 17:29:11  ankry
- pl

Revision 1.148  2005/02/14 08:41:52  paszczus
- updated to 0.83
- release 2 (release 1 is for RA)
- STBR

Revision 1.147  2005/02/08 18:17:59  hawk
- release 3 (2 for RA)

Revision 1.146  2005/02/08 06:52:10  domelu
- md5

Revision 1.145  2005/02/08 06:26:36  krolik
- update to ver. 0.82, rel 1.
- STBR

Revision 1.144  2005/02/03 20:30:58  hawk
- added docs/*.pdf to %doc

Revision 1.143  2005/02/03 18:39:56  hawk
- updated database version and md5

Revision 1.142  2005/01/28 19:29:00  hawk
- updated to 0.81
- release 2 (1 will be for RA)
- docs/html is no longer included in tarball, removed from %doc

Revision 1.141  2005/01/21 19:29:15  darekr
- fixed perms for init script (clamav-milter)

Revision 1.140  2005/01/21 15:11:01  zawadaa
- wrr 2 patch for 1 file - remove clamav-clamd_conf.patch
- cleanups

Revision 1.139  2004/12/17 22:50:10  saq
- %description unification

Revision 1.138  2004/12/10 22:56:33  ankry
- rel. 6

Revision 1.137  2004/12/10 03:21:06  ankry
- BR: bzip2-devel

Revision 1.136  2004/11/16 11:17:44  qboosh
- fatal errors are not warnings

Revision 1.135  2004/10/20 11:43:39  ankry
- rel. 5

Revision 1.134  2004/10/19 19:16:57  qboosh
- merged epoch 0 from RA-branch

Revision 1.133  2004/10/19 11:24:48  blues
- release 4 - merged from RA-branch (clamd_conf patch, better trigger),
  build milter subpackage by default - works well.

Revision 1.132  2004/10/19 10:24:22  qboosh
- killed epoch inconsequence

Revision 1.131  2004/10/19 09:52:37  blues
- release 4 for AC (rel.3 is for RA)

Revision 1.130  2004/10/17 19:55:36  ankry
- spaces -> tabs

Revision 1.129  2004/10/17 19:20:31  havner
- rel 2

Revision 1.128  2004/10/17 18:43:12  qboosh
- curl bcond cleanup

Revision 1.127  2004/10/17 18:27:09  hawk
- typo

Revision 1.126  2004/10/17 18:12:32  hawk
- added %triggerpostun to rename config to new name (by blues)

Revision 1.125  2004/10/17 17:59:56  hawk
- updated to 0.80 stable

Revision 1.124  2004/10/17 17:46:13  hawk
- added bcond for curl, disabled by default as previous versions were
  build without curl, fixed curl and libidn R,BR

Revision 1.123  2004/10/17 09:46:21  dzeus
- BR: curl-devel, typo

Revision 1.122  2004/10/16 21:54:33  hawk
- BR: libidn-devel

Revision 1.121  2004/10/16 21:49:14  dzeus
- clamav.conf -> clamd.conf

Revision 1.120  2004/10/16 21:43:34  dzeus
- updated to 0.80rc4, not tested

Revision 1.119  2004/10/16 00:18:01  ankry
- %groupremove/%userremove support, some standarization

Revision 1.118  2004/09/25 15:32:18  radek
- release 4

Revision 1.117  2004/09/25 15:31:49  radek
- move clamav-config to -devel
- move clamav-post-updatedb to -database
- update database url (all fixes by glen at delfi ee)

Revision 1.116  2004/09/07 19:39:26  undefine
- changes inspired by Krystian T <tomczyk@op.onet.pl>

Revision 1.115  2004/08/25 16:54:05  qboosh
- -devel R: bzip2-devel, gmp-devel, zlib-devel

Revision 1.114  2004/08/24 22:33:52  qboosh
- added nolibs patch, fix libtool to link libclamav properly on amd64; release 3

Revision 1.113  2004/08/10 13:39:58  twittner
- BR: s/tcp_wrappers/liwrap-devel/
- milter related things bconded.
- bcond reversed - build without milter as default now in due to:
  "Revision 1.108  2004/08/05 20:06:19  ankry
   - added milter subpackage (unfinished)"
  I don't use sendmail, milter etc. and I don't know, how test my changes.

Revision 1.112  2004/08/06 18:54:36  qboosh
- fixed new-style bcond, typo, moved BRs to preamble

Revision 1.111  2004/08/06 18:52:06  qboosh
- pl summary for -milter

Revision 1.110  2004/08/05 23:59:03  ankry
- changelog fixed

Revision 1.109  2004/08/05 23:56:31  ankry
- typo

Revision 1.108  2004/08/05 20:06:19  ankry
- formatting
- added milter subpackage (unfinished)

Revision 1.107  2004/08/01 10:09:26  hawk
- from Andrzej Zawadzki <zawadaa@wp.pl>
  - updated to 0.75.1, rel 2 (rel 1 for RA)
  - a bit more info in description
  - removed Patch2 (already in sources)

Revision 1.106  2004/07/28 15:10:57  gotar
- release 4; rebuild with new cron stuff

Revision 1.105  2004/07/24 12:00:33  arekm
- rel 3; fix working via UNIX family

Revision 1.104  2004/07/24 08:26:23  jack
- rel. 1 for RA, 2 fo AC

Revision 1.103  2004/07/23 18:00:07  hawk
- updated to 0.75, fixes detection of e-mails generated by Worm.Mydoom.I

Revision 1.102  2004/07/03 08:01:20  jack
- updated to 0.74, rel 2 for AC

Revision 1.100  2004/06/18 22:25:56  arekm
- include *.pc file

Revision 1.99  2004/06/14 21:20:17  jack
- rel 2 for AC

Revision 1.98  2004/06/14 20:33:01  paszczus
- updated to 0.73
- updated md5 sums
- updated database
- release 1

Revision 1.97  2004/06/08 09:39:14  blues
- release 2

Revision 1.96  2004/06/08 09:34:59  blues
- fetched new databases

Revision 1.95  2004/06/04 08:58:32  pluto
- updated to 0.72.

Revision 1.94  2004/05/20 15:56:16  pluto
- updated to 0.71, release 1.

Revision 1.93  2004/04/28 12:12:48  blues
- release 3 for AC

Revision 1.92  2004/04/28 11:11:07  blues
- reverted hack with database date - it will add build date, not fetch

Revision 1.91  2004/04/28 11:09:35  blues
- updated databases md5

Revision 1.90  2004/04/26 15:00:12  paszczus
- removed old comment

Revision 1.89  2004/04/26 07:38:32  blues
- small hack by Elan Ruusamäe <glen@delfi.ee>

Revision 1.88  2004/04/20 17:47:45  blues
- release 2 (for RA)

Revision 1.87  2004/04/20 17:38:30  blues
- get back with log file to proper package

Revision 1.86  2004/04/20 17:19:40  blues
- added clamav-post-updatedb script - fix problem with overwriting with
  (maybe) older databases

Revision 1.85  2004/04/20 16:57:18  blues
- updated database

Revision 1.84  2004/04/20 02:35:03  pluto
- TODO-- (freshclam.log -> syslog).

Revision 1.83  2004/04/20 01:37:25  pluto
- updated to 0.70, release 1.

  (the two major changes in this version are new "rock stable"
   thread manager in clamd and support for decoding MS Office VBA macros)

Revision 1.82  2004/04/19 04:51:23  ankry
- pl Summary fix

Revision 1.81  2004/04/16 13:48:16  qboosh
- cosmetics

Revision 1.80  2004/04/16 13:06:26  blues
- release 5 - STBR for AC

Revision 1.79  2004/04/16 13:02:28  blues
- 0.68-1 - fixed way of creating database subpackages. This version fixes
  RAR handling

Revision 1.78  2004/04/16 08:04:49  blues
- release 3 (rel. 2 is int RA) - STBR

Revision 1.77  2004/04/08 08:44:12  pluto
- security update / denial of service.
  (certain types of RAR archives, including those created by variants
   of the w32.beagle.a@mm worm, may cause clamav to crash when it attempts
   to process them).

Revision 1.76  2004/03/20 22:29:50  twittner
- added -no_auto_libwrap.patch to avoid linking with libwrap - not needed
- rel. 6

Revision 1.75  2004/03/03 21:51:11  eothane
- removed commented-out Source3's md5sum; changelog cleanups

Revision 1.74  2004/03/03 21:37:45  eothane
- someone forgot 'bout /etc/freshclam.conf

Revision 1.73  2004/03/03 13:19:28  matkor
- Release 5. Freshclam config typo killed.

Revision 1.72  2004/03/01 13:22:16  qboosh
- strict internal deps

Revision 1.71  2004/03/01 12:42:44  ankry
- use .cvd database format
- fixed pid path in initscript
- rel. 4 (3 is for Ra)

Revision 1.70  2004/02/18 15:43:30  ankry
- md5

Revision 1.69  2004/02/18 15:16:03  ankry
- 0.67-1, rel. 2 for ac

Revision 1.68  2004/02/18 13:20:32  matkor
- Version 0.67-2. Fixes in config and log files.

Revision 1.67  2004/02/11 21:49:29  ankry
- spaces -> tabs

Revision 1.66  2004/02/11 12:46:23  matkor
- Version 0.66-2 (ac).
- Checking DB update every 2[h] ( I hope).
- Moved logging of DB update to /var/log/freshclam.log (as introduced in 0.66)
- Precised TODO

Revision 1.65  2004/02/11 10:29:43  jack
- added logrotate file (check permissions)

Revision 1.64  2004/02/10 22:29:11  jack
- updated clamav-database to 20040210
- STBR?

Revision 1.63  2004/02/10 20:32:01  blues
- release 7 (6 goes to RA)

Revision 1.62  2004/02/09 17:54:31  pluto
- security update: http://www.freebsd.org/cgi/query-pr.cgi?pr=62586
- rel++

Revision 1.61  2004/01/08 16:24:38  matkor
- Rel. 5. Added _with_bigZIPOSDET. Idea by Andrzej Zawadzki (azawadzki malpa dfqs pl ).

Revision 1.60  2003/12/01 18:10:12  matkor
- Reverted last changes. It was already fixed via PreReq: clamav.

Revision 1.59  2003/12/01 18:02:04  matkor
- Release 4.
- Moved user creation/deletion to database package.
- Closes BTS#589.

Revision 1.58  2003/12/01 14:57:37  matkor
- Release 3 (Ac).

Revision 1.57  2003/12/01 14:27:51  matkor
- Release 2. STBR for Ra security (?) Enabled fix for stale lock file by default.

Revision 1.56  2003/11/16 12:30:21  domelu
- df

Revision 1.55  2003/11/16 12:22:28  jack
- suck from df

Revision 1.54  2003/11/16 11:24:05  jack
- Source3 .gz -> .bz2
- BR: gmp-devel (SUPPORT FOR DIGITAL SIGNATURES)

Revision 1.53  2003/11/16 10:45:06  jack
- updated to 0.65
- database version 20031115

Revision 1.52  2003/11/03 22:03:32  ankry
- cosmetics

Revision 1.51  2003/11/03 20:54:33  arekm
- new cron script for updating db

Revision 1.50  2003/11/03 20:47:38  arekm
- new script for cron updates

Revision 1.49  2003/09/23 16:31:50  arekm
- update antivirus db once per 6h

Revision 1.48  2003/09/04 10:26:11  matkor
- Removed R: database from main package. DB can be downloaded via freshcalm/ cron.

Revision 1.47  2003/08/28 13:10:39  matkor
- Made work as user clamav
- Added triggered add clamav user to amavis group (sb. wise pls check it)
- Fixed paths to smooth work with latest amavisd-new config (pld_config.patch)
- Made logging via syslog (clamd)
- Should work out of box with amavisd-new.
- Release 4. STBR for Ra.

Revision 1.46  2003/08/26 16:31:01  blues
- merged from RA-branch

Revision 1.45  2003/08/18 15:12:25  blues
- release 2 (don't be afraid to increase release)

Revision 1.44  2003/08/14 10:50:33  undefine
- changed md5sum

Revision 1.43  2003/08/14 10:47:22  undefine
- update virus database
- add path clamav.sourceforge.net to list searched servers.

Revision 1.42  2003/08/06 16:46:57  kloczek

Revision 1.41  2003/07/31 10:24:54  baseciq
- new URL's

Revision 1.40  2003/06/21 08:43:03  adamg
- updated virus database
- added missing /var/lib/clamav/mirrors.txt

Revision 1.39  2003/06/21 08:21:30  adamg
- updated to 0.60

Revision 1.38  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.37  2003/05/26 16:24:48  malekith
- massive attack: adding Source-md5

Revision 1.36  2003/05/25 05:46:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/17 07:11:40  pascalek
- revert user changes

Revision 1.34  2003/05/10 09:34:13  pascalek
- Req user-clamav

Revision 1.33  2003/02/07 16:25:04  undefine
- updated database to 20030207
- moved database to /var/lib/clamav (/usr/share can be mounted r/o and
  freshclam from cron fail)
- change freshclam from cron to create database world readable. without it
  nobody can scan programs with clamscan
- some cleanup

Revision 1.32  2003/02/06 02:43:56  kloczek
- typo.

Revision 1.31  2003/02/06 02:39:54  kloczek
- added zlib-devel to BuildRequires,
- added standard template %post/%preun daemon/service scripts
  (added "Requires(poest,preun): /sbin/chkconfig").

Revision 1.30  2003/02/06 02:31:34  kloczek
- fixed %files in libs.

Revision 1.29  2003/02/06 01:06:00  blues
- cosmetic

Revision 1.28  2003/01/20 23:04:41  baseciq
- updated virus database
- separated package with virus databases
- STBR ASAP

Revision 1.27  2002/12/13 15:24:03  ankry
- adapterized

Revision 1.26  2002/12/07 14:32:49  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.25  2002/11/29 09:46:00  undefine
- somebody forgot about example /etc/clamav.conf... ;)
- release 3

Revision 1.24  2002/11/25 17:25:41  mmazur
- yeah... somebody forgot about the binary ;)
- rel2; STBR *ASAP*

Revision 1.23  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.22  2002/11/21 14:51:09  areq
- 0.54,STBR

Revision 1.21  2002/10/10 21:39:26  misiek
- updated to 0.51

Revision 1.20  2002/10/05 17:32:08  misiek
- updated to 0.50

Revision 1.19  2002/09/09 19:44:35  misiek
- updated to 0.24

Revision 1.18  2002/08/04 13:54:15  misiek
- updated to 0.23

Revision 1.17  2002/07/25 14:49:06  grzegorz
- up to 0.22

Revision 1.16  2002/07/21 12:20:33  blues
- 0.21
- removed outdated patch
- STBR

Revision 1.15  2002/07/21 12:03:28  blues
- some cosmetic added

Revision 1.14  2002/06/16 14:37:15  misiek
- updated to 0.15

Revision 1.13  2002/06/12 14:46:45  misiek
- fix summary

Revision 1.12  2002/06/06 23:02:27  misiek
- kill segfault when /proc/cpuinfo is not available

Revision 1.11  2002/06/03 19:16:29  misiek
- 0.14

Revision 1.10  2002/05/24 14:10:17  misiek
- no http patch; issue will be fixed in next release probably

Revision 1.9  2002/05/23 12:49:20  misiek
- add http patch

Revision 1.8  2002/05/23 12:07:26  misiek
- updated to 0.12

Revision 1.7  2002/05/21 23:12:44  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
       s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/05/20 21:47:56  kloczek
- use new %doc packuing infrastructure and few cosmetics.

Revision 1.5  2002/05/19 21:42:21  misiek
- rewrited

Revision 1.4  2002/05/13 15:00:39  mick3y
- added patch to fix path to database dir
- STRB

Revision 1.3  2002/05/13 14:08:20  mick3y
- added group clamav
- eliminate uid confilct
- it should build now
- rel increased
- STBR please

Revision 1.2  2002/05/13 00:18:10  mick3y
- %postun should be correctly now
- rel 2

Revision 1.1  2002/05/12 12:39:54  mick3y
- initial release
  TODO:
- add support for amavis
